package org.ow2.jonas.cxf.transport.reliablejms.test.springmdp.impl;

import javax.jws.WebService;

import org.ow2.jonas.cxf.transport.reliablejms.test.springmdp.ComplexObject;
import org.ow2.jonas.cxf.transport.reliablejms.test.springmdp.TestApplicationFault;
import org.ow2.jonas.cxf.transport.reliablejms.test.springmdp.TestApplicationFault_Exception;
import org.ow2.jonas.cxf.transport.reliablejms.test.springmdp.WSTest;

@WebService(wsdlLocation="wsdl/mdbtests.wsdl", portName = "WSTestPort", serviceName = "WSTestService", targetNamespace = "http://springmdp.test.reliablejms.transport.cxf.jonas.ow2.org/", endpointInterface = "org.ow2.jonas.cxf.transport.reliablejms.test.springmdp.WSTest")
public class WSTestImpl implements WSTest {

    public void anotherBasicOperation() throws TestApplicationFault_Exception {
        throw new TestApplicationFault_Exception("exception requested", new TestApplicationFault());
    }

    public void basicString(String s) {

    }

    public void basicInteger(Integer i) {

    }

    public void basicBoolean(Boolean b) {

    }

    public void basicComplexObject(ComplexObject complexObject) {

    }

    public void basicException(String s) throws TestApplicationFault_Exception {
        if ("throws".equals(s)) {
            throw new TestApplicationFault_Exception("exception requested : " + s, new TestApplicationFault());
        }
    }

    public void basicOperation() {

    }

    public int dummySimpleTypeInt(int dummy) {
        return dummy;
    }

    public boolean dummySimpleTypeBoolean(boolean dummy) {
        return dummy;
    }

    public char dummySimpleTypeChar(char dummy) {
        return dummy;
    }

    public byte dummySimpleTypeByte(byte dummy) {
        return dummy;
    }

    public short dummySimpleTypeShort(short dummy) {
        return dummy;
    }

    public float dummySimpleTypeFloat(float dummy) {
        return dummy;

    }

    public long dummySimpleTypeLong(long dummy) {
        return dummy;

    }

    public double dummySimpleTypeDouble(double dummy) {
        return dummy;

    }

    public String simpleString(String s) {
        return s;

    }

    public Integer simpleInteger(Integer i) {
        return i;

    }

    public Boolean simpleBoolean(Boolean b) {
        return b;
    }

    public ComplexObject simpleComplexObject(ComplexObject complexObject) {
        return complexObject;
    }

    public ComplexObject computeComplexObject(String name, String address, Integer id) {
        ComplexObject complexObject = new ComplexObject();
        complexObject.setName(name);
        complexObject.setAddress(address);
        complexObject.setId(id);
        return complexObject;
    }

    public void uncheckedException() {
        throw new IllegalStateException("Unchecked exception");
    }

    public void uncheckedExceptionParam(String unknown) {
        throw new IllegalStateException("Unchecked exception : " + unknown);
    }
}
